/*****************************************************************************/
/* Disp for WonderWitch                                                      */
/* ǥץ쥤Ϣ򰷤饹                                              */
/*****************************************************************************/

#ifndef _Disp_h_INCLUDED_
#define _Disp_h_INCLUDED_

typedef struct _Disp * Disp;

#include <stdio.h>
#include <sys/disp.h>
#include <sys/key.h>

#define DISP_DISPLAY_WIDTH  LCD_PIXEL_WIDTH
#define DISP_DISPLAY_HEIGHT LCD_PIXEL_HEIGHT
#define DISP_SCREEN_WIDTH  SCREEN_PIXEL_WIDTH
#define DISP_SCREEN_HEIGHT SCREEN_PIXEL_HEIGHT
#define DISP_PICTURE_TICS_X 8
#define DISP_PICTURE_TICS_Y 8
#define DISP_GAME_WIDTH  SCREEN_CHAR_WIDTH
#define DISP_GAME_HEIGHT SCREEN_CHAR_HEIGHT

#define DISP_BUTTON_START KEY_START
#define DISP_BUTTON_A     KEY_A
#define DISP_BUTTON_B     KEY_B
#define DISP_BUTTON_UP    KEY_UP1
#define DISP_BUTTON_RIGHT KEY_RIGHT1
#define DISP_BUTTON_DOWN  KEY_DOWN1
#define DISP_BUTTON_LEFT  KEY_LEFT1

int Disp_GetRollX(Disp disp);
int Disp_GetRollY(Disp disp);

/*---------------------------------------------------------------------------*/
/* ֥Ȥκ                                                        */
/*---------------------------------------------------------------------------*/

Disp Disp_Create(Disp disp);

/*---------------------------------------------------------------------------*/
/* ֥Ȥκ                                                        */
/*---------------------------------------------------------------------------*/

Disp Disp_Destroy(Disp disp);

/*---------------------------------------------------------------------------*/
/* Ѳǽʥץ饤ֹ                                        */
/*---------------------------------------------------------------------------*/

int Disp_GetSpriteNumber(Disp disp);

/*---------------------------------------------------------------------------*/
/* ץ饤ֵֹѤ                                                  */
/*---------------------------------------------------------------------------*/

int Disp_ReturnSpriteNumber(Disp disp, int number);

/*---------------------------------------------------------------------------*/
/* Ѳǽʥ饯ֹ                                      */
/*---------------------------------------------------------------------------*/

int Disp_GetCharacterNumber(Disp disp);

/*---------------------------------------------------------------------------*/
/* 饯ֵֹѤ                                                */
/*---------------------------------------------------------------------------*/

int Disp_ReturnCharacterNumber(Disp disp, int number);

/*---------------------------------------------------------------------------*/
/*                                                                   */
/*---------------------------------------------------------------------------*/

int Disp_GetButtonStatus(Disp disp);

/*---------------------------------------------------------------------------*/
/* ꤷɸ̤ˤäƤ                                      */
/*---------------------------------------------------------------------------*/

int Disp_PutPointAtCenterOfScreen(Disp disp, int x, int y);

#endif

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
